Bug 223985 - kernel-xen: boot panic with >=64GB memory (release note)
kernel-xen: boot panic with >=64GB memory (release note)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-release-notes (Show other bugs)
5.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Don Domingo
Michael Hideo
: Documentation
Depends On: 220592
Blocks: 197865
  Show dependency treegraph
 
Reported: 2007-01-23 09:27 EST by Chris Lalancette
Modified: 2009-08-20 00:21 EDT (History)
13 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 21:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 RHEL Product and Program Management 2007-01-23 10:01:10 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 8 Paul Gampe 2007-01-29 17:36:01 EST
Don where can I see this text online?
Comment 10 Chris Lalancette 2007-02-02 15:10:44 EST
Don,
     Can we have the dom0_mem set to 4G instead of 512M?  So the text would
change to the following:

<snip>
Virtualization: (x86_64)
     The Red Hat Enterprise Linux virtualization kernel may not work correctly
with more than 64GB of memory.  In order to boot the virtualization kernel on
machines with greater than 64GB of physical memory installed, you may
need to add "dom0_mem=4G mem=64G" to the kernel command-line.  For example:

title Red Hat Enterprise Linux Server (2.6.18-4.el5xen)
        root (hd0,0)
        kernel /xen.gz-2.6.18-4.el5 dom0_mem=4G mem=64G
        module /vmlinuz-2.6.18-4.el5xen ro root=LABEL=/
        module /initrd-2.6.18-4.el5xen.img

</snip>

Thanks,
Chris Lalancette
Comment 11 Larry Newitt 2007-02-02 17:24:15 EST
Chris,

One additional comment:

I have not found a way to add this configuration information during the RHEL 5 
installation.  If there is a way then please add a note explaining how to do 
this.  

If there is not, then you may want to add an additional note saying that the 
virtaulization kernel is the default kernel, so you must edit the grub menu to 
add these parameters on the system reboot which occurs during the RHEL 5 
installation.
Comment 14 Don Domingo 2007-02-07 23:20:23 EST
already in:

redhat-release-notes-5Client-4
redhat-release-notes-5Server-4
Comment 15 Don Domingo 2007-03-13 21:35:03 EDT
this is already noted in release notes as specified. closing this item
CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.